/*  This file is part of epubgrep.
 *  Copyright © 2021 tastytea <tastytea@tastytea.de>
 *
 *  This program is free software: you can redistribute it and/or modify
 *  it under the terms of the GNU Affero General Public License as published by
 *  the Free Software Foundation, version 3.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Affero General Public License for more details.
 *
 *  You should have received a copy of the GNU Affero General Public License
 *  along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef EPUBGREP_OPTIONS_HPP
#define EPUBGREP_OPTIONS_HPP

#include <boost/program_options/variables_map.hpp>

namespace epubgrep
{

namespace po = boost::program_options;

//! Parse options and return them.
po::variables_map parse_options(int argc, char *argv[]);

} // namespace epubgrep

#endif // EPUBGREP_OPTIONS_HPP
